org.eclipse.eef.properties.ui.api

## Class EEFTypeMapper

- java.lang.Object
- - org.eclipse.eef.properties.ui.api.EEFTypeMapper

All Implemented Interfaces:
  IEEFTypeMapper

Direct Known Subclasses:
  EEFLegacyTypeMapper

    public class EEFTypeMapper
    extends java.lang.Object
    implements IEEFTypeMapper

Default implementation of a type mapper.

Since:
  1.6.0

### Constructor Summary

Constructors
Constructor and Description
`EEFTypeMapper()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<?>` `mapType(java.lang.Object object)` Map the input object to a domain model type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EEFTypeMapper

    public EEFTypeMapper()

### Method Detail

#### mapType

    public java.lang.Class<?> mapType(java.lang.Object object)

Map the input object to a domain model type.

Specified by:
  `mapType` in interface `IEEFTypeMapper`
Parameters:
  `object` - the input object.
Returns:
  the type of the input object, mapped to the domain type if required.
See Also:
  `IEEFTypeMapper.mapType(java.lang.Object)`